Loading...
Searching...
No Matches
gx_engine::NoiseGate Class Reference

`#include <gx_internal_plugins.h>`

Inheritance diagram for gx_engine::NoiseGate:

## Public Member Functions

| NoiseGate ()

## Public Attributes

bool | off
float | fnglevel
float | ngate
PluginDef | inputdef
Plugin | inputlevel
Public Attributes inherited from PluginDef
int | version
int | flags
const char * | id
const char * | name
const char ** | groups
const char * | description
const char * | category
const char * | shortname
process_mono_audio | mono_audio
process_stereo_audio | stereo_audio
inifunc | set_samplerate
activatefunc | activate_plugin
registerfunc | register_params
uiloader | load_ui
clearstatefunc | clear_state
deletefunc | delete_instance

## Private Member Functions

void | inputlevel_process (int count, float *input0, float *output0)
int | noisegate_register (const ParamReg &reg)
int | noisegate_start (bool start)

## Static Private Member Functions

static int | noisegate_params_static (const ParamReg &reg)
static void | inputlevel_compute (int count, float *input0, float *output0, PluginDef *)
static int | noisegate_activate (bool start, PluginDef *pdef)

## Detailed Description

Definition at line 113 of file gx_internal_plugins.h.

## Constructor & Destructor Documentation

## NoiseGate()

gx_engine::NoiseGate::NoiseGate | ( |  | ) |

## Member Function Documentation

## inputlevel_compute()

void gx_engine::NoiseGate::inputlevel_compute | ( | int | count,
|  | float * | input0,
|  | float * | output0,
|  | PluginDef * | )

static private

## inputlevel_process()

void gx_engine::NoiseGate::inputlevel_process | ( | int | count,
|  | float * | input0,
|  | float * | output0 )

inline private

## noisegate_activate()

int gx_engine::NoiseGate::noisegate_activate | ( | bool | start,
|  | PluginDef * | pdef )

static private

## noisegate_params_static()

int gx_engine::NoiseGate::noisegate_params_static | ( | const ParamReg & | reg | ) |

static private

## noisegate_register()

int gx_engine::NoiseGate::noisegate_register | ( | const ParamReg & | reg | ) |

inline private

## noisegate_start()

int gx_engine::NoiseGate::noisegate_start | ( | bool | start | ) |

inline private

## Member Data Documentation

## fnglevel

float gx_engine::NoiseGate::fnglevel

Definition at line 123 of file gx_internal_plugins.h.

## inputdef

PluginDef gx_engine::NoiseGate::inputdef

Definition at line 125 of file gx_internal_plugins.h.

## inputlevel

Plugin gx_engine::NoiseGate::inputlevel

Definition at line 126 of file gx_internal_plugins.h.

## ngate

float gx_engine::NoiseGate::ngate

Definition at line 124 of file gx_internal_plugins.h.

## off

bool gx_engine::NoiseGate::off

Definition at line 122 of file gx_internal_plugins.h.

The documentation for this class was generated from the following file:

- src/headers/gx_internal_plugins.h